package main

import (
	"log"
	"net/http"

	"git.runcible.io/learning/bugbox"
)

type InMemoryEnclosureStore struct{}

func (i *InMemoryEnclosureStore) GetEnclosure(id uint64) (*bugbox.Enclosure, bool) {
	return &bugbox.Enclosure{Id: id}, true
}

func (i *InMemoryEnclosureStore) RecordEvent(id uint64, event string) error {
	return nil
}

func main() {
	log.Println("Serving on: http://0.0.0.0:8888")
	enclosureStore := InMemoryEnclosureStore{}
	server := &bugbox.BugBoxServer{EnclosureStore: &enclosureStore}
	log.Fatal(http.ListenAndServe(":8888", server))
}
